# Owl Positioning System

**OwlPS** (_Owl Positioning System_) is a positioning (localization) system
based on the IEEE 802.11 radio network (Wi-Fi), targeting mainly indoor
environments. It uses an infrastructure-centred architecture, which means the
infrastructure does the measurements and computes the mobile terminals'
positions, rather than the terminals computing their own positions (as it is
the case for instance with the GPS).

OwlPS implements various positioning techniques and algorithms based on the
radio signal strength. It features a self-calibration (or autocalibration)
mechanism that avoids the time-consuming manual fingerprinting phase and allows
considering dynamic changes of the environment (human, climatic, etc.) when
computing the location of mobile terminals.

**This presentation is an excerpt of `doc/owlps.t2t`. Please refer to this file
for a more in-depth introduction to OwlPS.**

## News

OwlPS is not currently actively maintained, as I'm not working on indoor
positioning at the moment, but I'll happily consider any contribution (or
job offer).

The `CHANGELOG` file lists the changes that occurred in OwlPS, version by
version, since its early stages.

## Contribute

If you would like to contribute to OwlPS, you can:

  * use it, test it, and report suggestions and bugs on the forge:
    <https://code.lm7.fr/mcy/owlps/issues/>

  * get the latest development code, add functionalities and send me pull
    requests by email or on the forge: <https://code.lm7.fr/mcy/owlps/pulls>

If you're looking for ideas, the `TODO.t2t` file could be a good start.

## Installation

For a guide to installing OwlPS, please consult `INSTALL.t2t`.

## License

OwlPS is free software, released under the terms of the CeCILL license (GNU
GPL-compatible). For more detail, please consult `COPYRIGHT.t2t`.

## Note on the t2t file extension

Most of the documentation in this repository is provided as text files in the
**txt2tags** format (`*.t2t` files). You can convert them to various formats
(HTML, man pages, etc.) using the [txt2tags](http://txt2tags.org/) utility; if
you mind the markup tags, you can even strip them using the `txt` output.
