# This file is part of the Owl Positioning System (OwlPS) project.
# It is subject to the copyright notice and license terms in the
# COPYRIGHT.t2t file found in the top-level directory of this
# distribution and at
#   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
# No part of the OwlPS Project, including this file, may be copied,
# modified, propagated, or distributed except according to the terms
# contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
# distributed along with this file, either separately or by replacing
# this notice by the COPYRIGHT.t2t file's contents.

# This module tries to find the Claw Tween library and sets the
# following variables:
#   CLAWTWEEN_INCLUDE_DIR
#   CLAWTWEEN_LIBRARY
#   CLAWTWEEN_FOUND

# Search for the header file
find_path(CLAWTWEEN_INCLUDE_DIR tweener.hpp
  PATH_SUFFIXES include/claw/tween)

# Search for the library
find_library(CLAWTWEEN_LIBRARY claw_tween
  PATH_SUFFIXES lib)

# Did we find everything we need?
FIND_PACKAGE_HANDLE_STANDARD_ARGS(ClawTween DEFAULT_MSG
  CLAWTWEEN_LIBRARY CLAWTWEEN_INCLUDE_DIR)
