/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_ACCESSPOINTSREADERCSV_HH_
#define _OWLPS_POSITIONING_ACCESSPOINTSREADERCSV_HH_

class Point3D ;

#include "csvfilereader.hh"

#include <string>

/// Reads and registers to the Stock CapturePoint list from CSV files
/**
 * CSV format for capture points is:
 *   MAC;X;Y;Z;Frequency_Hz;Antenna_gain_dBi;Trx_power_dBm
 */
class CapturePointsReaderCSV
{
protected:
  CSVFileReader file ;

  void read_devices(void) ;
  void process_device_line(void) ;

public:
  CapturePointsReaderCSV(const std::string &file_name) ;

  ~CapturePointsReaderCSV(void) {}
} ;

#endif // _OWLPS_POSITIONING_ACCESSPOINTSREADERCSV_HH_
