/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_FBCM_HH_
#define _OWLPS_POSITIONING_FBCM_HH_

#include "trilaterationalgorithm.hh"

/// Computes a position using the Interlink Networks formula
class FBCM: public TrilaterationAlgorithm
{
protected:
  float friis_index(const CapturePoint *const cp) const ;

public:
  FBCM(void): PositioningAlgorithm("FBCM") {}
  ~FBCM(void) {}

  /** @name Operations */
  //@{
  Result compute(const Request &_request) ;
  float estimate_distance(const Measurement &measurement) ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_FBCM_HH_
