/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_INPUTLOGCSV_HH_
#define _OWLPS_POSITIONING_INPUTLOGCSV_HH_

#include "inputlogmedium.hh"
#include "textfilewriter.hh"

/// Logs [requests](@ref Request) to a CSV file
/**
 * CSV format is the same as the one read by InputCSV.
 */
class InputLogCSV: public InputLogMedium
{
protected:
  TextFileWriter file ;

public:
  InputLogCSV(const std::string &filename):
    file(filename) {}

  /** @name Operations */
  //@{
  bool log_request(const Request &request) ;
  //@}
} ;



/* *** Operations *** */


inline bool InputLogCSV::log_request(const Request &request)
{
  return file.write_text(request.to_csv() + '\n') ;
}



#endif // _OWLPS_POSITIONING_INPUTLOGCSV_HH_
