/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_
#define _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_

#include "request.hh"

/// Super class of all input log media
/**
 * This class provides an interface for input log media, i.e. to log
 * Request received by the InputMedium.
 */
class InputLogMedium
{
public:
  virtual ~InputLogMedium(void) {}

  /** @name Operations */
  //@{
  virtual bool log_request(const Request &request) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_
