/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#ifndef _OWLPS_POSITIONING_OUTPUTCSV_HH_
#define _OWLPS_POSITIONING_OUTPUTCSV_HH_

#include "outputmedium.hh"
#include "textfilewriter.hh"

/// Writes results to a CSV file
/**
 * The CSV format is documented in ResultList::to_csv().
 */
class OutputCSV: public OutputMedium
{
protected:
  TextFileWriter file ;

public:
  OutputCSV(const std::string &filename):
    file(filename) {}

  void write(const Result &result) ;
  void write(const ResultList &results) ;
} ;

#endif // _OWLPS_POSITIONING_OUTPUTCSV_HH_
