/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */


#include "outputterminal.hh"
#include "resultlist.hh"
#include "configuration.hh"



void OutputTerminal::write(const Result &result)
{
  output_stream << result << '\n' ;
}



void OutputTerminal::write(const ResultList &results)
{
  if (results.empty())
    output_stream << "There is no result.\n" ;
  else
    output_stream << results << '\n' ;
  if (Configuration::bool_value("flush-output-files"))
    output_stream << std::flush ;
}
